Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6821 - RHEA-1999:044 failure in OS/2 Windows98 DOS Linux system
Summary: RHEA-1999:044 failure in OS/2 Windows98 DOS Linux system
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-08 14:03 UTC by menasian
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-09 15:27:25 UTC


Attachments (Terms of Use)

Description menasian 1999-11-08 14:03:02 UTC
The starting point is a fully operational RH 5.1, OS/2 Warp
3, Windows 98 and DOS system setup according to the
published HOWTO. RH6.1 product was purchased for an upgrade
to a more recent kernel.

The following occurred in order.

1) Upgrade "from the box" failed recognizing the hda6
partition (HPFS) in "plain vanilla" and "text" modes.

boot:
boot: text

2) Accessed the RH support area and downloaded new boot disk
image (boot-RHEA-1999_044.img) and update
(updates-RHEA-1999_045.img). Made the floppys and retried
the installation procedure with a 1999_044 boot. This time,
the install failed accessing the cdrom (the CDROM started to
spin but the install hung at this point). Retried the
install with the following boot options:

boot: linux updates cdrom=hdc text
boot: linux cdrom=hdc updates text

in both of the above cases, the CDROM drive still is not
recognized.

When the following options are used:

boot: linux update cdrom=hdc text

the CDROM is recognized but the upgrade fails as originally

Error mounting ext2 filesystem on hda6: Invalid argument

Traceback
File "usr/bin/anaconda", line 225 in ?
	intf.run(todo, test = test)
File
"../../../RedHat/instimage/usr/lib/python1.5/site-packages/text.py",
line 1000, in run
	rc=apply (step[1](), step[2])
File
"../../../Redhat/instimage/usr/lib/python1.5.site-packages/text.py",
line 222, in __call__
	parts=toto.upgradeFindRoot ()
File
"../../../RedHat/instimage/usr/lib/python1.5/site-packages/todo.py",
line 1130, in upgradeFindRoot
	isys.umount('/mnt/sysimage')
File "/usr/lib/python1.5/site-packages/isys.py", line 8, in
umount
	return _isys.umount(what)
SystemError: (22, 'Invalid argument')

Note that it has NEVER before been necessary to use the
hdc=cdrom option on this system. The cdrom (Secondary
master) is a relatively modern EIDE drive (Newcom 32x).
The rest of entire system is also hardware up to date.

Comment 1 Jay Turner 1999-11-09 15:27:59 UTC
There is a race condition when using the updated images which causes
the problem you are seeing with the cdrom drive.  What you will want
to do is the following.  Boot from the new boot disk with the "linux
updates" boot parameter and then when the installer prompts you to
insert the cdrom, put it in the drive and you will be off and running.

Reopen this bug if you are still having problems getting the installer
to recognize your HPFS partitions.


Note You need to log in before you can comment on or make changes to this bug.